using System;
using System.Configuration;
using System.Web;
using System.Web.Caching;
using System.Web.SessionState;
using System.Web.Security;
using System.Web.Profile;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Specialized;

public partial class Themes_aspx
{
	static string _ThemeListID = null;

    void Page_PreInit (Object sender, EventArgs e)
    {
		// It's too early in the page's life cycle to read the
		// selected value from the RadioButtonList or even to read
		// the RadioButtonList's UniqueID. So we read the UniqueID
		// from _ThemeListID and use it to extract the text of the
		// item selected in the RadioButtonList directly from the
		// HTTP request. Not pretty, but effective.
		if (IsPostBack) {
			string theme = (string) Request[_ThemeListID];
			if (!String.IsNullOrEmpty (theme))
				Theme = (theme == "None") ? null : theme;
		}
	}

    void Page_Load (Object sender, EventArgs e)
	{
		// On first access, write the RadioButtonList's UniqueID
		// to _ThemeListID so it can be retrieved following a postback.
		if (!IsPostBack && _ThemeListID == null)
			_ThemeListID = ThemeList.UniqueID;
	}
}
